package agent

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/agent"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /agent/data/detail agent GetAgentDataDetail
//
// Get data detail | 获取data详情
//
// Get data detail | 获取data详情
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: DataDetailReq
//
// Responses:
//  200: DataDetailResp

func GetAgentDataDetailHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.DataDetailReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := agent.NewGetAgentDataDetailLogic(r.Context(), svcCtx)
		resp, err := l.GetAgentDataDetail(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
